{
  "format_version": "1.16.100",
  "minecraft:item": {
    "description": {
      "identifier": "vatonage:spider_pet"
    },
    "components": {
      "minecraft:max_stack_size": 1,
         "minecraft:durability":{
            "max_durability":250
         },
      "minecraft:foil": false,
      "minecraft:stacked_by_data": false,
         "minecraft:hand_equipped":false,
      "minecraft:icon":{
         "texture":"spider_pet"
      },
      "minecraft:display_name":{
         "value":"Spider Pet\n§8Jump Boost\n§8String"
      },
         "minecraft:on_use":{
            "on_use":{
               "event":"used"
            }
         }
      },
      "events":{
         "used":{
            "swing":{
            },
            "run_command":{
               "command":[
                  "give @p string"
               ]
            },
            "damage":{
               "type":"magic",
               "amount":1,
               "target":"self"
            }
         }
      }
   }
}